Subject: bug#14333: 24.3.50; Emacs hangs when trying to exit

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 May 2013 19:20:08 +0300

> Date: Thu, 2 May 2013 09:09:14 +0200
> From: Dani Moncayo <[email-masked]>
> 
> At work, I use Emacs in some Windows 2003 server machines, which I
> connect to via remote desktop.  Usually, my Emacs sessions in those
> machines last for several days.
> 
> Well, lately (during the last months or so - I can't be more precise),
> I've noticed that, whenever I try to close one of such Emacs session
> (C-x C-c), Emacs hangs (after showing the message about saving
> bookmarks) and I have to kill the process with the task manager.
> 
> Probably this information alone is insufficient for investigating the
> problem, but I let you know anyway.  If there is something I could do
> to provide more info, let me know.

When it hangs, attach GDB to it and provide backtrace from all the
threads ("thread apply all bt").